/*
 * cdsize.exe (C) Chris Wohlgemuth 1999
 *
 * This helper calculates the free space on a CDR and sends it
 * to the creator folder class
 */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#define  INCL_DOS
#define INCL_DOSQUEUES   /* Queue values */
#define INCL_PM
 
#include <os2.h>
#include <process.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "audiofolder.h"
#include "audiofolderres.h"

int main(int argc, char * argv[])
{
  int rc;
  HWND hwndNotify;
  char *text;
  CHAR szName[CCHMAXPATH];

  FILE *fStream;
  ULONG count;
  char *buf;
  char achBuf[CCHMAXPATH];
  BOOL bBus=FALSE;
  int bus,target,lun;
  char vendor[CCHMAXPATH];
  char type[CCHMAXPATH];

  rc=-1;

  hwndNotify=atol(argv[1]);

  sprintf(szName,"%s -scanbus",argv[2]);
  text=szName; 
  printf("Command is: %s\n",text);
  /* start  */

  fStream=popen(text,"r");
  if(fStream) {
    do {
      buf=fgets(achBuf,sizeof(achBuf),fStream);
      if(buf) {
        if(!strchr(achBuf,'*')) {
          if(bBus && !strstr(achBuf,"scsibus")) {
            count=sscanf(achBuf," %d,%d,%d %*[^']'%[^']' '%[^']",&bus,&target,&lun,&vendor,&type);
            if(count==5) {
              printf("Found device: %d,%d,%d %s %s",bus,target,lun,vendor,type);
              sprintf(szName,"%d,%d,%d %s %s",bus,target,lun,vendor,type);
              //     WinPostMsg(WinWindowFromID(hwndNotify,IDDD_DEVICESELECTION),LM_INSERTITEM,MPFROMSHORT(LIT_END),(MPARAM)szName);
          
              rc=0;
            }            
          }
          if(strstr(achBuf,"scsibus"))
            bBus=TRUE;
        }
      }
    }while(buf);
    
    fclose(fStream);
  }

  

  //printf("Errorcode from cdrecord is: %d\n",rc);
  /* Send msg. to the notification window */
  WinPostMsg(hwndNotify,WM_APPTERMINATENOTIFY,MPFROMLONG(ACKEY_SCANBUS),MPFROMLONG(rc));
}










