/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#define INCL_DOS
#define INCL_WIN

#include <os2.h>
#include <time.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <io.h>

  /* argv[0]: progname
   * argv[1]: hwnd 
   * argv[2]: exepath of grabber
   * argv[3]: folder into which to place the log
   * argv[4]: grabber options
   * argv[5]: trackname
   */

void main(int argc, char * argv[])
{
	int i;
	char cmdLine[CCHMAXPATH*4]={0};
    char tempText[CCHMAXPATH*2];
	char * chrPtr;	
	HWND hwndNotify;
	char exeName[CCHMAXPATH];
	char chrError[CCHMAXPATH];
	char logName[CCHMAXPATH];
	RESULTCODES resultCodes;
	ULONG rc,ulAction;
	HFILE hf,hfNew;
	time_t ltime;
	
	hwndNotify=atol(argv[1]);

	/* Build grabber input */
	sprintf(exeName,"%s",argv[2]);
	sprintf(logName,"%s\\grab.log",argv[3]);
	
	sprintf(cmdLine,exeName);
	chrPtr=strrchr(cmdLine,0);
	chrPtr++;

	/* Build parameters */
    sprintf(tempText,"%s \"%s\"",argv[4],argv[5]);
    strcat(chrPtr,tempText);

	printf("HWND: %d",hwndNotify);
	printf("\n");	
	printf("Grabber-executable: %s",exeName);
	printf("\n");
	printf("Logname: %s\n",logName);
	printf("Grabber parameter: %s",chrPtr);
	printf("\n");

	/* Redirect stderr */
	rc=DosOpen(logName,&hf,&ulAction,0,FILE_NORMAL,OPEN_ACTION_CREATE_IF_NEW|OPEN_ACTION_OPEN_IF_EXISTS,
						 OPEN_ACCESS_WRITEONLY|OPEN_SHARE_DENYWRITE,0);
	if(!rc) {
		DosSetFilePtr(hf,0,FILE_END,&ulAction);
		hfNew=2;
		DosDupHandle(hf,&hfNew);
		
		sprintf(logName,"---------------------------------------------------------------------\n");
		write(2,logName,strlen(logName));

		sprintf(logName,"\n");
		write(2,logName,strlen(logName));	

		sprintf(logName,"Starting to grab using %s\n",exeName);
		write(2,logName,strlen(logName));
		
		sprintf(logName,"with the following parameters: %s\n",chrPtr);
		write(2,logName,strlen(logName));
	}
	
	DosExecPgm(chrError,sizeof(chrError),EXEC_SYNC,cmdLine,0,&resultCodes,exeName);
	sprintf(logName,"Return code is: %d\n ",resultCodes.codeResult);
	write(2,logName,strlen(logName));
	/*	sprintf(logName,"---------------------------------------------------------------------\n");
	write(2,logName,strlen(logName));*/
	DosClose(hf);
	
	WinPostMsg(hwndNotify,WM_APPTERMINATENOTIFY,0,MPFROMLONG(resultCodes.codeResult));
}









