:h1 res=1900.CD-type selection

Select on this page the type of CD you want to create. There is support for singlesession and
multisession CDs.
:p. 
Choose one of the items below to get further information. 
:sl.
:li.:link reftype=hd res=1910.Singlesession:elink.	
:li.:link reftype=hd res=1920.Multisession:elink.
:li.:link reftype=hd res=1930.Multisession (merge previous sessions):elink.
:esl. 


:h2 res=1930.Multisession (merge previos sessions)
:i1.Multisession (merge previos sessions)
:p.
When creating a multisession CD the image is written in a way on the CD which
allows to append another session. Be sure to select Rockridge extensions and/or Transtable on the filename page or mkisofs
can't merge the created image into the next session. For every session written in multisession format about
21MB of additional CD space is needed.
:p.
When merging previous sessions the data of these sessions remains visible after writing an additional session.
To achieve this you have to provide the start and end sectors of the previous session. Insert the CD with the
previous session into the writer when prompted and let CDRecord/2 query the information. 
:p.
You may fix the disk using the menu CDR-Tools later. When doing so the disk is finalized in a way
that you can't append another session to it.

:h2 res=1920.Multisession
:i1.Multisession
:p.
When creating a multisession CD the image is written in a way on the CD which
allows to append another session. Be sure to select Rockridge extensions and/or Transtable on the filename page or mkisofs
can't merge the created image into the next session. For every session written in multisession format about
21MB of additional CD space is needed. 
:p.
Use the Multisession radiobox if you write the first session of a multisession CD or if you don't want to
keep the data of already written sessions visible. 
:p.

:h2 res=1910.Singlesession
:i1.Singlesession
:p.
You can't append any data to a singlesession CD no matter how small the written session was.
If you want to write more data later you have to choose multisession as the CD type. 
:p.
After selecting singlesession you have to choose the tracktype for your CD. For further information about tracktypes read the documentation coming with cdrecord or click one of the items below. Keep in mind that the documentation
coming with cdrecord is usually more up to date.
:p.
You have to check the 'fix disk' button so CD-ROM drives
are able to read the written CD. If you forgot to do so you may later fix the disk using the menu CDR-Tools. 

:sl.
:li.:link reftype=hd res=1921.data:elink.
:li.:link reftype=hd res=1922.mode2:elink.	
:li.:link reftype=hd res=1923.XA1:elink.
:li.:link reftype=hd res=1924.XA2:elink.
:li.:link reftype=hd res=1925.CDI:elink.
:esl. 

:h3 res=1921.data
:p.
From the documentation of cdrecord V1.8a19:
:p.
-data: If this flag is present, all subsequent tracks are written in CD-ROM mode 1 (Yellow Book) 
format. The data is a multiple of 2048 bytes. The file with track data should contain an ISO-
9660 or Rock Ridge filesystem image (see mkisofs for more details). If the track data is an ufs 
filesystem image, fragment size should be set to 2 KB or more to allow CR-drives with 2 KB 
sector size to to be used for reading.

:h3 res=1922.mode2
:p.
From the documentation of cdrecord V1.8a19:
:p.
-mode2: 
If this flag is present, all subsequent tracks are written in CD-ROM mode 2 format. The data is 
a multiple of 2048 bytes.

:h3 res=1923.XA1
:p.
From the documentation of cdrecord V1.8a19:
:p.
-xa1: If this flag is present, all subsequent tracks are written in CD-ROM XA mode 1 format. The 
data is a multiple of 2048 bytes.

:h3 res=1924.XA2
:p.
From the documentation of cdrecord V1.8a19:
:p.
-xa2: If this flag is present, all subsequent tracks are written in CD-ROM XA mode 2 format. The 
data is a multiple of 2048 bytes.

:h3 res=1925.CDI
:p.
From the documentation of cdrecord V1.8a19:
:p.
-cdi If this flag is present, all subsequent tracks are written in CDI format. The data is a multiple of 
2048 bytes.



